<template>
  <v-menu offset-y v-model="showMenu">
    <v-btn class="btnLocaleActivation" flat slot="activator">
      <v-icon>language</v-icon>
      &nbsp;{{ displayLocale }}
    </v-btn>
    <v-list>
      <v-list-tile
        :class="[item.class]"
        :key="`Lang${i}`"
        :value="item.lang"
        @click="switchLocale(item.lang)"
        v-for="(item, i) in langs"
      >
        <country-flag :country="item.flag" class="pl-5" size="small"/>
        <v-list-tile-title class="ml-3">{{
          item.lang.toUpperCase()
          }}
        </v-list-tile-title>
      </v-list-tile>
    </v-list>
  </v-menu>
</template>

<script>
  import CountryFlag from 'vue-country-flag'

  export default {
    data () {
      return {
        showMenu: false,
        langs: [
          {
            lang: 'ru',
            flag: 'rus',
            class: 'btnRu'
          },
          {
            lang: 'en',
            flag: 'gb',
            class: 'btnEN'
          }
        ]
      }
    },
    components: {
      CountryFlag
    },
    methods: {
      switchLocale (lang) {
        this.$store.dispatch('setLocale', lang)
      }
    },
    computed: {
      displayLocale () {
        return this.$i18n.locale
      }
    }
  }
</script>
